Bug 146476 - RFE: use a subdirectory for configure files
RFE: use a subdirectory for configure files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: readahead (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
http://www.hugeurl.com/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 13:05 EST by taj
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 09:01:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description taj 2005-01-28 13:05:28 EST
I like this readahead concept and will probably use it a great deal
but never for what someone else thinks is the best config for me :)

Could we move the readahead config files from /etc into a
subdirectory?  Perhaps /etc/sysconfig/readahead/default/* knowing that
there will be many configurations that are not going to gain an
advantage by loading evolution into memory such as low memory laptops
but they may want their own configs in /etc/sysconfig/readahead/lowmem/*.

I don't see how these long filenames in /etc/ justify they eyesore
they create in a simple ls.   Half the columns are lost adjusting for
readahead.early.files.  A subdirectory would be more suitable.  A
second subdirectory, default above, would make sense for those of us
not buying a 2005 Dell that will probably never gain from a default
readahead but would like to make use of the interesting idea.

I could picture a readahead config collection that does very different
profiles based upon what the user wants at that time:

/etc/sysconfig/readahead/lowmem/
/etc/sysconfig/readahead/unpowered-laptop/
/etc/sysconfig/readahead/powered-laptop
/etc/sysconfig/readahead/vmware/
/etc/sysconfig/readahead/devel/
/etc/sysconfig/readahead/server/
/etc/sysconfig/readahead/common/

But most of all, please move these long filenames out of the top etc
directory and into a subdirectory so those of us that like console
over X11 don't projectile puke when we look in the FC /etc directory :)
Comment 1 Karel Zak 2006-09-05 09:01:36 EDT
There is /etc/readahead.d/ in FC6 now. I don't expect support something like
"profiles" (server, laptop, ...) for readahaed.

Note You need to log in before you can comment on or make changes to this bug.